import { AnimationBuilder, AnimationPlayer, AnimationReferenceMetadata } from '@angular/animations';
export declare enum Direction {
    NONE = 0,
    NEXT = 1,
    PREV = 2
}
export declare const CarouselAnimationType: {
    none: "none";
    slide: "slide";
    fade: "fade";
};
export declare type CarouselAnimationType = (typeof CarouselAnimationType)[keyof typeof CarouselAnimationType];
export interface CarouselAnimationSettings {
    enterAnimation: AnimationReferenceMetadata;
    leaveAnimation: AnimationReferenceMetadata;
}
/** @hidden */
export interface IgxSlideComponentBase {
    direction: Direction;
    previous: boolean;
}
/** @hidden */
export declare abstract class IgxCarouselComponentBase {
    private builder;
    /** @hidden */
    animationType: CarouselAnimationType;
    /** @hidden */
    protected currentItem: IgxSlideComponentBase;
    /** @hidden */
    protected previousItem: IgxSlideComponentBase;
    /** @hidden */
    protected enterAnimationPlayer?: AnimationPlayer;
    /** @hidden */
    protected leaveAnimationPlayer?: AnimationPlayer;
    private animationDuration;
    private animationPosition;
    private newDuration;
    constructor(builder: AnimationBuilder);
    protected triggerAnimations(): void;
    private animationStarted;
    private playAnimations;
    private resetAnimations;
    private getAnimation;
    private playEnterAnimation;
    private playLeaveAnimation;
    protected abstract getPreviousElement(): HTMLElement;
    protected abstract getCurrentElement(): HTMLElement;
}
